左邻zorin os 15.2/Ubuntu18.04 折腾调校笔记【2021年6月更新……】

Ubuntu国外衍生版本或其它衍生版本
头像
yuzh652800
帖子: 631
注册时间: 2008-03-12 8:41
来自: nenu.Ani
送出感谢: 5 次
接收感谢: 5 次

Re: 左邻zorin os 15.2/Ubuntu18.04 折腾调校笔记【2020年8月更新……】

#16

帖子 yuzh652800 » 2020-08-22 8:21

恭喜zorin已经悄悄升级到15.3
屏幕截图 20200822235.png
不能假定每个人都爱用命令行。
只要支持Linux的,我们都应该支持。
头像
yuzh652800
帖子: 631
注册时间: 2008-03-12 8:41
来自: nenu.Ani
送出感谢: 5 次
接收感谢: 5 次

Re: 左邻zorin os 15.2/Ubuntu18.04 折腾调校笔记【2020年8月更新……】

#17

帖子 yuzh652800 » 2020-08-27 9:56

替换默认zorin菜单,

安装gnome shell扩展,到gnomeshell扩展网站https://extensions.gnome.org/,有几个启动器菜单可选。


1.Gno-Menu https://extensions.gnome.org/extension/608/gnomenu/
图片


2. Applications Menu by fmuellner https://extensions.gnome.org/extension/ ... ions-menu/
https://extensions.gnome.org/extension ... MMPK4p.png


目前测试效果还不太理想。


10+ Best GNOME Extensions For Ubuntu 20.04
https://techwiser.com/gnome-extensions/
不能假定每个人都爱用命令行。
只要支持Linux的,我们都应该支持。
头像
yuzh652800
帖子: 631
注册时间: 2008-03-12 8:41
来自: nenu.Ani
送出感谢: 5 次
接收感谢: 5 次

Re: 左邻zorin os 15.2/Ubuntu18.04 折腾调校笔记【2020年8月更新……】

#18

帖子 yuzh652800 » 2020-09-05 12:52

解决zip压缩乱码方法:用wine安装bandizip就行。

官网 https://www.bandisoft.com/bandizip/
屏幕截图 20200905249.png
安装开源的PeaZip貌似也是一个不错的方法,可以试试。
上次由 yuzh652800 在 2021-02-28 22:12,总共编辑 1 次。
不能假定每个人都爱用命令行。
只要支持Linux的,我们都应该支持。
头像
yuzh652800
帖子: 631
注册时间: 2008-03-12 8:41
来自: nenu.Ani
送出感谢: 5 次
接收感谢: 5 次

Re: 左邻zorin os 15.2/Ubuntu18.04 折腾调校笔记【2020年9月更新……】

#19

帖子 yuzh652800 » 2020-09-05 23:41

Centos/Ubuntu 连接EasyConnect失败的解决办法
https://blog.51cto.com/13226459/2476193


在进度条大概70%的时候,在控制台启动s***service(/usr/share/sangfor/EasyConnect/resources/shell/sslservice.sh)

哈哈,大约70%,这个进度条嗖嗖的,时间点要卡准了(拼手速),快了的话会提示Failed to login in with this user account, for a user is online!。慢了还是无法连接
不能假定每个人都爱用命令行。
只要支持Linux的,我们都应该支持。
头像
yuzh652800
帖子: 631
注册时间: 2008-03-12 8:41
来自: nenu.Ani
送出感谢: 5 次
接收感谢: 5 次

Re: 左邻zorin os 15.2/Ubuntu18.04 折腾调校笔记【2020年9月更新……】

#20

帖子 yuzh652800 » 2021-02-10 14:40

小众软件 收集的linux类软件 https://www.appinn.com/?s=linux

OK TV – 用安卓盒子播放全球 8000+ 公开 IPTV 电视频道 https://www.appinn.com/ok-tv-for-android/ IPTV 来源是 GitHub 的 iptv-org 项目
抖音 桌面版(极简),可以在电脑上刷抖音啦 [Win/macOS/Linux]
Nuclear – 开源免费的在线音乐播放、下载工具[Win/macOS/Linux] https://www.appinn.com/nuclear/

Zoommy – 一站搜索 50 家高质量「免费授权」图片网站[Win/macOS/Linux] https://www.appinn.com/zoommy/

补充一个软件收集站:https://www.zhihu.com/column/c_1055412710740672512
上次由 yuzh652800 在 2021-02-22 22:09,总共编辑 1 次。
不能假定每个人都爱用命令行。
只要支持Linux的,我们都应该支持。
头像
yuzh652800
帖子: 631
注册时间: 2008-03-12 8:41
来自: nenu.Ani
送出感谢: 5 次
接收感谢: 5 次

播放视频教程时同时显示英文字幕和中文字幕

#21

帖子 yuzh652800 » 2021-02-12 11:29

大年初一学习中,看外网搬运过来的教程。
想同时显示英文字幕和机器翻译过来的中文字幕,Win下的potplayer、安卓下的mx player都可以做到,linux下貌似没有播放器支持双字幕。

方案1. mpv通过参数可以实现双字幕,需要命令行启动mpv,用自己的视频文件、字幕文件替换相关名称。
参考资料:
https://www.reddit.com/r/mpv/comments/6 ... same_time/
https://mpv.io/manual/master/#options-sub-files

代码: 全选

mpv video.mp4 --sub-file first-subtitle.srt --sub-file second-subtitle.srt --secondary-sid 2

方案2. vlc4测试版支持双字幕,snap商店可以安装vlc4



方案3:
烦强,查Gg,发现vlc通过安装插件是支持双字幕的。
参考帖子:https://www.thewindowsclub.com/display- ... sly-in-vlc

具体步骤:
1.下载 Subtitler lite mod 插件 https://addons.videolan.org/p/1154027
2. 解压缩.lua文件并将其放在VLC子目录中,默认情况下:“ ~/.local/share/vlc/lua/extensions/”。
3. 转到工具栏上播放器>字幕精简版顶部的“查看”选项卡。 确认后,操作将打开一个显示“刷新”按钮的小窗口。此按钮需要不断按下以强制加载第二个字幕文件。您可以通过安装另一个方便的应用程序-按键器来自动执行此过程。
INSTALLATION:
- extract (unzip) the .lua file and put it in the VLC subdir /lua/extensions, by default:
* Windows (all users): %ProgramFiles%\VideoLAN\VLC\lua\extensions\
* Windows (current user): %APPDATA%\VLC\lua\extensions\
* Linux (all users): /usr/lib/vlc/lua/extensions/
* Linux (current user): ~/.local/share/vlc/lua/extensions/
* Mac OS X (all users): /Applications/VLC.app/Contents/MacOS/share/lua/extensions/
* Mac OS X (current user): /Users/%your_name%/Library/Application Support/org.videolan.vlc/lua/extensions/
(create directories if they don't exist)
- Restart VLC or just reload extensions (Tools > Plugins and extensions > Active Extensions tab: Reload extensions button).
上次由 yuzh652800 在 2021-02-23 10:36,总共编辑 1 次。
不能假定每个人都爱用命令行。
只要支持Linux的,我们都应该支持。
头像
yuzh652800
帖子: 631
注册时间: 2008-03-12 8:41
来自: nenu.Ani
送出感谢: 5 次
接收感谢: 5 次

在linux系统中显示键盘输入或者鼠标动作

#22

帖子 yuzh652800 » 2021-02-20 22:51

怎样在linux系统中显示键盘输入,特别是上课时方便同学看清老师按了那些键,快捷键,或者鼠标动作。

1. 两个软件: 目前测试比较满意的是key-mon和screenkey,这两个左邻apt源里都有,直接apt install就行。


Key-mon:可以显示鼠标动作和键盘输入情况,显示区域为固定小窗,只能显示上一次的输入。
深度截图_选择区域_20210220224649.png
screenkey,可以显示多次输入的键盘,但无法显示鼠标动作。
深度截图_选择区域_20210220225352.png
上次由 yuzh652800 在 2021-02-23 10:35,总共编辑 1 次。
不能假定每个人都爱用命令行。
只要支持Linux的,我们都应该支持。
头像
ahwad
帖子: 1091
注册时间: 2009-05-06 0:36
送出感谢: 2 次
接收感谢: 13 次

Re: 左邻zorin os 15.2/Ubuntu18.04 折腾调校笔记【2021年2月更新……】

#23

帖子 ahwad » 2021-02-20 23:29

路过。学习了。。。。。。
头像
yuzh652800
帖子: 631
注册时间: 2008-03-12 8:41
来自: nenu.Ani
送出感谢: 5 次
接收感谢: 5 次

将平板或者移动设备作为电脑的扩展显示器

#24

帖子 yuzh652800 » 2021-02-22 11:40

将平板或者移动设备作为电脑的扩展显示器(可以一边看书,一边练习软件)
Deskreen https://deskreen.com/lang-zh

Deskreen在没有硬件插头支持下,只能实现投屏(复制模式),不能扩展屏幕显示,作者也在issue里收集无硬件支持的扩展方案 https://github.com/pavlobu/deskreen/discussions/86 ,讨论中也提到了Linux下扩展屏幕的方法 https://github.com/pavlobu/deskreen/issues/42 ,大同小异。
对于我的笔记本,命令行为:

代码: 全选

xrandr    
xrandr --addmode VIRTUAL1 1280x720
xrandr --output VIRTUAL1 --mode 1280x720 --left-of LVDS1
xrandr --output VIRTUAL1 --off   //关闭扩展屏幕命令



其他资料
https://holisticsecurity.io/2019/10/28/ ... -for-linux

文中整理相关帖子:
    Using Android/PC as a Second Monitor in Linux
    September 13, 2019 by Sangam
    https://sangams.com.np/using-android-pc ... -in-linux/
    Using iPad as a 2nd monitor on Linux
    Apr 15, 2018 by Bumsik Kim
    https://kbumsik.io/using-ipad-as-a-2nd-monitor-on-linux
    https://github.com/kbumsik/VirtScreen
    [Discussion] iPad as second Display on Ubuntu - 2016
    https://www.reddit.com/r/Ubuntu/comment ... on_ubuntu/
    [Discussion] Extending desktop over VNC, the easy way - 2014-12-27
    https://bbs.archlinux.org/viewtopic.php?id=191555
    其中提到的VirtScreen,其实是把x11vnc的一系列命令集成到图形窗口了,这不正是想要的嘛。

    经测试,可以扩展屏幕,现在问题是鼠标不能移动到第二屏幕,暂时有点鸡肋。【鼠标的问题,貌似是ubuntu源里的x11vnc版本太旧,可以尝试安装新版x11vnc(https://github.com/LibVNC/x11vnc/releases),并通过-multiptr参数(virtScreen会自动启用)https://github.com/kbumsik/VirtScreen/i ... -429573666
    想停止x11vnc服务,可以

    代码: 全选

    x11vnc -R stop

    碰到的问题:笔记本双显卡intel+Nvidia GT720m,没有virtual1,解决办法:https://github.com/kbumsik/VirtScreen/issues/16
    @kbumsik 和Homio 对话中提出的解决办法:https://github.com/kbumsik/VirtScreen/i ... -439669153
    @Homio Thank you for your valuable information. Alright, I did some research to figure it out. Here is your new /usr/share/X11/xorg.conf.d/30-virtscreen.conf

    # nvidia/nouveau/amdgpu device should be configured first before Intel GPU
    Section "Device"
    Identifier "nvidiagpu0"
    Driver "nvidia" # Because you are using Nvidia proprietary driver. Change to "nouveau" if you are using open source nouveau driver
    EndSection

    # Then configure intel internal GPU
    Section "Device"
    Identifier "intelgpu0"
    Driver "intel"
    # You may put Option "VirtualHeads" "1" here but it seem you don't need to put this for Ubuntu 18.04.
    EndSection
    Could you copy can paste this and try it? Please tell me if it works.
    不能假定每个人都爱用命令行。
    只要支持Linux的,我们都应该支持。
    头像
    yuzh652800
    帖子: 631
    注册时间: 2008-03-12 8:41
    来自: nenu.Ani
    送出感谢: 5 次
    接收感谢: 5 次

    在zorin下编译安装Ureal Editor4

    #25

    帖子 yuzh652800 » 2021-02-26 15:13

    参考帖子:
    Ubuntu 20.04安装Unreal 4.24
    https://blog.csdn.net/willian113/articl ... /114920818

    https://docs.unrealengine.com/zh-CN/Sha ... index.html
    (pdf版 :了解如何在Linux上下载、编译和运行UE4.pdf )
    https://rabbitmacht.co.za/2020/08/12/ho ... er-assets/
    (pdf版: How to Build Unreal Engine 4 on Ubuntu with Blender Assets.pdf)

    启动时如果遇到 Cannot find a compatible Vulkan device or driver - Unreal Engine

    解决方法一:https://unix.stackexchange.com/question ... eal-engine

    A way I found in order to avoid this issue and work with the Unreal Editor without messing around with graphic drivers (I am on open source drivers shipped with Linux Mint) is to launch the editor with the opengl4 flag. In this way the Vulkan requirement is skipped and the editor can start properly. Using the terminal reach the linux binaries folder ~/UnrealEngine/Engine/Binaries/Linux and then use this code in order to launch the editor under Opengl4 ./UE4Editor -opengl4
    解决方法2,更新显卡驱动:
    支持vulkan显卡列表 :https://developer.nvidia.com/vulkan-driver
    linux nivida显卡驱动列表 https://www.nvidia.com/en-us/drivers/unix/

    9300mg显卡: Version:340.108 https://www.nvidia.com/Download/driverR ... 6163/en-us
    gt720M显卡:Version: 390.141 https://www.nvidia.com/Download/driverR ... 8290/en-us
    5f07854a4b906dd78e7a6060a790cc6a.jpeg
    Install And Test Vulkan On Linux
    https://linuxconfig.org/install-and-tes ... n-on-linux


    在Deepin系统上安装DaVinci Resolve(达芬奇调色)的方法:https://ywnz.com/linuxjc/4590.html
    附件
    了解如何在Linux上下载、编译和运行UE4.pdf
    了解如何
    (3.91 MiB) 下载 26 次
    上次由 yuzh652800 在 2021-06-27 21:40,总共编辑 3 次。
    不能假定每个人都爱用命令行。
    只要支持Linux的,我们都应该支持。
    头像
    yuzh652800
    帖子: 631
    注册时间: 2008-03-12 8:41
    来自: nenu.Ani
    送出感谢: 5 次
    接收感谢: 5 次

    通过flatpak安装VSCode

    #26

    帖子 yuzh652800 » 2021-03-01 6:53

    方案1【有问题】:直接安装snap商店里的版本,运行后没有任何反应,查了解决办法,但看起来有点麻烦,没敢尝试。
    https://blog.csdn.net/gikod/article/details/109583897

    方案2:安装flatpak/flathub源的vscode:
    flatpak用法:https://zhuanlan.zhihu.com/p/55299546
    https://flathub.org/apps/details/com.visualstudio.code

    Zorin系统默认已经安装了flatpak,执行下面的命令安装每日构建版的运行时环境:

    代码: 全选

    $ sudo flatpak remote-add --gpg-import=nightly.gpg gnome-nightly https://sdk.gnome.org/nightly/repo/
    安装vscode

    代码: 全选

    flatpak install flathub com.visualstudio.code
    运行vscode

    代码: 全选

    flatpak run com.visualstudio.code


    3.在 Linux 上安装 .NET
    https://docs.microsoft.com/zh-cn/dotnet ... tall/linux
    不能假定每个人都爱用命令行。
    只要支持Linux的,我们都应该支持。
    头像
    yuzh652800
    帖子: 631
    注册时间: 2008-03-12 8:41
    来自: nenu.Ani
    送出感谢: 5 次
    接收感谢: 5 次

    Re: 左邻zorin os 15.2/Ubuntu18.04 折腾调校笔记【2021年6月更新……】

    #27

    帖子 yuzh652800 » 2021-06-19 10:55

    https://github.com/flolu/davinci-resolve-linux

    ubuntu 下安装达芬奇调色的方法:(待添加)
    达芬奇不支持mp4,解决办法:https://alecaddd.com/davinci-resolve-ff ... for-linux/


    linux达芬奇安装教程,在Linux(uos)系统中能安装和运行达芬奇DaVinci Resolve 17版本
    https://blog.csdn.net/weixin_29172963/a ... /116697807


    DaVinci Resolve on Linux - Install issues(This is the big Linux install issues thread)
    https://forum.blackmagicdesign.com/view ... hp?t=56878
    达芬奇支持的格式列表
    ffmpeg -i input.mkv -map 0:0 -map 0:1 -map 0:2 -vcodec dnxhd -acodec:0 pcm_s16le -acodec:1 pcm_s16le -s 1920x1080 -r 30000/1001 -b:v 36M -pix_fmt yuv422p -f mov output.mov

    或者
    ffmpeg -i GOPROxxx.MP4 -vcodec mjpeg -q:v 2 -acodec pcm_s16be -q:a 0 -f mov OUTxxx.mov
    来源https://brushlesswhoop.com/converting-fpv-footage-for-davinci-resolve/

    批处理

    代码: 全选

    mkdir transcoded; for i in *.MP4; do ffmpeg -i "$i" -vcodec mjpeg -q:v 2 -acodec pcm_s16be -q:a 0 -f mov "transcoded/${i%.*}.mov"; done

    几种视频编码对比:上面命令行中mjpeg部分做替换,源文件大小1.3G。
    1.mjpeg 目标文件大小3G DR支持
    2.prores 目标文件大小8.6G DR支持
    3.libx264 目标文件大小117M DR不支持
    4.mpeg4 目标文件大小780M DR支持

    其他格式转换命令
    https://blog.coffeebeans.at/archives/1284
    使用Winff转换
    https://www.reallinuxuser.com/how-to-co ... for-linux/

    另一个跨平台的转换格式工具https://www.shutterencoder.com/en/thanks.html

    AMD显卡安装达芬奇,需要使用脚本
    https://github.com/GloriousEggroll/rpm- ... pencl.spec
    不能假定每个人都爱用命令行。
    只要支持Linux的,我们都应该支持。
    头像
    yuzh652800
    帖子: 631
    注册时间: 2008-03-12 8:41
    来自: nenu.Ani
    送出感谢: 5 次
    接收感谢: 5 次

    雪藏软件列表

    #28

    帖子 yuzh652800 » 2021-07-01 19:52

    1.# appleseed is an open source, physically-based global illumination rendering engine primarily designed for animation and visual effects.
    appleseed is actively developed by a small, international team of talented volunteers from the animation and VFX industry. Its core mission is to provide individuals and small studios with a complete, reliable, fully open rendering package.
    * Home: [appleseedhq.net](https://appleseedhq.net/)
    * Twitter: [twitter.com/appleseedhq](https://twitter.com/appleseedhq)
    * Vimeo: [vimeo.com/appleseedhq](https://vimeo.com/appleseedhq)
    * Discord: [discord.gg/Vcu5A7h](https://discord.gg/Vcu5A7h)
    * Forum: [forum.appleseedhq.net](https://forum.appleseedhq.net/)

    2.....
    不能假定每个人都爱用命令行。
    只要支持Linux的,我们都应该支持。
    回复

    回到 “Ubuntu国外衍生版”